org.apache.jmeter.report.processor

## Class MapResultData

- java.lang.Object
- - org.apache.jmeter.report.processor.MapResultData

All Implemented Interfaces:
  ResultData

    public class MapResultData
    extends Object
    implements ResultData

The class MapResultData provides a hash map of results from samples processing.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`MapResultData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `accept(ResultDataVisitor<T> visitor)` Accepts the specified visitor.
`Set<Map.Entry<String,ResultData>>` `entrySet()` Get the entry set.
`ResultData` `getResult(String name)` Gets the result with the specified name.
`ResultData` `removeResult(String name)` Removes the result with the specified name.
`ResultData` `setResult(String name, ResultData result)` Sets the specified result to the map.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapResultData

    public MapResultData()

### Method Detail

#### accept

    public <T> T accept(ResultDataVisitor<T> visitor)

Description copied from interface: `ResultData`
Accepts the specified visitor.

Specified by:
  `accept` in interface `ResultData`
Type Parameters:
  `T` - type of the results of the `ResultDataVisitor`
Parameters:
  `visitor` - the visitor (must not be `null`)
Returns:
  result of the visit

#### entrySet

    public Set<Map.Entry<String,ResultData>> entrySet()

Get the entry set.

Returns:
  the sets of entries of the map

#### getResult

    public ResultData getResult(String name)

Gets the result with the specified name.

Parameters:
  `name` - the name of the result
Returns:
  the result

#### setResult

    public ResultData setResult(String name,
                                ResultData result)

Sets the specified result to the map.

Parameters:
  `name` - the name of the result
  `result` - the result
Returns:
  the previously result data associated with the specified name

#### removeResult

    public ResultData removeResult(String name)

Removes the result with the specified name.

Parameters:
  `name` - the name of the result
Returns:
  the removed result data

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`